Overview | Modules | Class Hierarchy | Classes | Members

# TlpQtTools.h File Reference

`#include "tulip/Color.h"`
`#include "tulip/Reflect.h"`
`#include "tulip/Graph.h"`
`#include "tulip/GlMainWidget.h"`
`#include <QtGui/QColor>`

Include dependency graph for TlpQtTools.h:

## Namespaces

- namespace tlp

## Functions

- TLP_QT_SCOPE bool tlp::openDataSetDialog (DataSet &outSet, const StructDef *sysDef, StructDef *inDef, const DataSet *inSet=NULL, const char *inName=NULL, Graph *inG=NULL, QWidget *parent=NULL)
- TLP_QT_SCOPE void tlp::openGraphOnGlMainWidget (Graph *graph, DataSet *dataSet, GlMainWidget *glMainWidget)
- TLP_QT_SCOPE void tlp::loadInteractorPluginsFromDir (std::string dir, PluginLoader *loader=0)
- TLP_QT_SCOPE void tlp::loadViewPluginsFromDir (std::string dir, PluginLoader *loader=0)
- TLP_QT_SCOPE void tlp::loadControllerPluginsFromDir (std::string dir, PluginLoader *loader=0)
- TLP_QT_SCOPE bool tlp::canUseQGLPixelBuffer ()
- TLP_QT_SCOPE bool tlp::getColorDialog (const QColor &color, QWidget *parent, const QString &title, QColor &result)
- QColor tlp::colorToQColor (const Color &color)
- Color tlp::QColorToColor (const QColor &color)

Tulip Software by LaBRI Visualization Team 2001 - 2010